Ubuntu 10.10 – Maverick Meerkat

October 10, 2010 10:10 am

We’re pleased to announce the availability of Ubuntu 10.10 “Maverick Meerkat” for both 32 and 64 bit through our deployment wizard.

Please keep in mind Canonical will only be providing support for this version for 18 months – after which you’ll either have to upgrade or reinstall. There is always Ubuntu 10.04 LTS (Long Term Support) which carries updates for five years for servers.

Enjoy!

12 Responses

  1. Yay!

  2. Awesome!

    I will definitely check the Maverick Meerkat out 🙂
    But I might stick to 10.04 LTS for my production servers.

    Big thumbs up for this amazing quick update!

  3. Two days after release. Very nice.

  4. Yeah, I didn’t actually look at the date of this post. Even nicer.

  5. Yes, it’s cool (new apache and php)
    But why 10.10 is not such LTS as 10.04.
    All 10.xx should inherit LTS term.

  6. … It would be also great if (our great :-)) Linode masters could think/make available an additional tiny linode for testing new system (for example 5 days) for those poor/little512 linoders without need to turning off the main. Just to try if current configuration will work on new system.

    ..I know I can test on weekend or in vmware 🙂

  7. @jaxon Only “X.04” versions are LTS, where X is an even number.

    You could add a new linode to your account, use it for 5 days, and delete it. You only pay for the time you use it, and there’s no need to turn off your other linode. It’s been like that for years already…

  8. You could just get another linode, use it for a few days and then throw it away if you wanted to test on something other than a local VM. It’s prorated so you wouldn’t have to pay a full months worth.

  9. Before you rush to deploy a Maverick Linode, you may wan to let the dust settle. A lot of people are talking about this:

    https://bugs.launchpad.net/ubuntu/+source/linux/+bug/642421

    It does not appear to be a showstopper but may suggest broader quality issues. You may want to stick t Lucid (LTS) a little longer if you need stability.

  10. Seems to be more stable for me than Lucid was (touch wood). It’s only been a week, but the unexplained intermittent crashes I was getting since updating to Lucid have gone.

  11. @kb7; that’s an issue with 2.6.35 & Ubuntu. Linodes are still running on 2.6.32.

  12. The date… 10/10/10 10:10 for 10.10 was awesome. Somehow – the same time which Canonical officially announced it.

Leave a Reply